package com.iformall.domain.vo;

import cn.afterturn.easypoi.excel.annotation.Excel;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author gongbiao
 */
public class WxBillAllVo {
    private Long id;

    private String tenantId;

    private Long merchantId;

    private Long shopId;

    //@Excel(name="商铺号",width = 20,orderNum = "1")
    private String shopNumber;

    //@Excel(name="商户名称",width = 20,orderNum = "2")
    private String merchantName;

    //@Excel(name="商铺类型",width = 20,orderNum = "3", replace = {"店铺_1","多经点位_2"})
    private Integer rentShopType;

    @Excel(name="费用类型",width = 20,orderNum = "4")
    private String billType;

    @Excel(name="实际应收金额(元)",width = 20,orderNum = "5")
    private String receivePayStr;

    @Excel(name="实收金额(元)",width = 20,orderNum = "6")
    private String payStr;

    @Excel(name="欠缴金额(元)",width = 20,orderNum = "7")
    private String oweStr;

    @Excel(name="缴款截止日期",width = 20,orderNum = "8", format="yyyy-MM-dd")
    private Date receiveDate;

    @Excel(name="逾期天数",width = 20,orderNum = "9")
    private Integer expiredDay;

    @Excel(name="账单状态",width = 20,orderNum = "10", replace = {"欠缴_1","待缴_2","已结清_3","未到期_4","已退还_5","失效_6"})
    private Integer status;

    private Integer billTypeValue;
    private Integer needPay;
    private Integer receivePay;
    private Integer pay;
    private Integer owe;
    private Date payDate;
    private Date starttime;
    private Date endtime;

    private String manager;
    private String managerPhone;

    private String shopInfo;

    public String getShopInfo() {
        return shopInfo;
    }

    public void setShopInfo(String shopInfo) {
        this.shopInfo = shopInfo;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getMerchantId() {
        return merchantId;
    }

    public void setMerchantId(Long merchantId) {
        this.merchantId = merchantId;
    }

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public Integer getBillTypeValue() {
        return billTypeValue;
    }

    public void setBillTypeValue(Integer billTypeValue) {
        this.billTypeValue = billTypeValue;
    }

    public String getBillType() {
        return billType;
    }

    public void setBillType(String billType) {
        this.billType = billType;
    }

    public Integer getNeedPay() {
        return needPay;
    }

    public void setNeedPay(Integer needPay) {
        this.needPay = needPay;
    }

    public Integer getReceivePay() {
        return receivePay;
    }

    public void setReceivePay(Integer receivePay) {
        this.receivePay = receivePay;
    }

    public Integer getPay() {
        return pay;
    }

    public void setPay(Integer pay) {
        this.pay = pay;
    }

    public Integer getOwe() {
        return owe;
    }

    public void setOwe(Integer owe) {
        this.owe = owe;
    }

    public Date getReceiveDate() {
        return receiveDate;
    }

    public void setReceiveDate(Date receiveDate) {
        this.receiveDate = receiveDate;
    }

    public Date getPayDate() {
        return payDate;
    }

    public void setPayDate(Date payDate) {
        this.payDate = payDate;
    }

    public Integer getExpiredDay() {
        return expiredDay;
    }

    public void setExpiredDay(Integer expiredDay) {
        this.expiredDay = expiredDay;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    public Date getStarttime() {
        return starttime;
    }

    public void setStarttime(Date starttime) {
        this.starttime = starttime;
    }

    public Date getEndtime() {
        return endtime;
    }

    public void setEndtime(Date endtime) {
        this.endtime = endtime;
    }


    public Integer getRentShopType() {
        return rentShopType;
    }

    public void setRentShopType(Integer rentShopType) {
        this.rentShopType = rentShopType;
    }

    public String getMerchantName() {
        return merchantName;
    }

    public void setMerchantName(String merchantName) {
        this.merchantName = merchantName;
    }

    public String getShopNumber() {
        return shopNumber;
    }

    public void setShopNumber(String shopNumber) {
        this.shopNumber = shopNumber;
    }

    public String getManager() {
        return manager;
    }

    public void setManager(String manager) {
        this.manager = manager;
    }

    public String getManagerPhone() {
        return managerPhone;
    }

    public void setManagerPhone(String managerPhone) {
        this.managerPhone = managerPhone;
    }


    public String getReceivePayStr() {
        if(getReceivePay()!=null) {
            receivePayStr = new BigDecimal(getReceivePay()).divide(new BigDecimal(100)).toString();
        }
        return receivePayStr;
    }

    public void setReceivePayStr(String receivePayStr) {
        this.receivePayStr = receivePayStr;
    }

    public String getPayStr() {
        if(getPay()!=null) {
            payStr = new BigDecimal(getPay()).divide(new BigDecimal(100)).toString();
        }
        return payStr;
    }

    public void setPayStr(String payStr) {
        this.payStr = payStr;
    }

    public String getOweStr() {
        if(getOwe()!=null) {
            oweStr = new BigDecimal(getOwe()).divide(new BigDecimal(100)).toString();
        }
        return oweStr;
    }

    public void setOweStr(String oweStr) {
        this.oweStr = oweStr;
    }
}
